PDA

View Full Version : Mod compatibility with latest GTA 4 PATCH


gymway
08.01.2011, 23:34
I have GTA installed through Steam, along side Episodes from Liberty City (Which contains both LATD, and TBOGT expansion packs). Because the game is installed through Steam, it is always auto updated with the latest patch. Therefore my game has the latest patch installed that is available. I'm looking for a car spawn mod that will allow me to spawn any car from inside the game that will work with the LATEST PATCH. The main purpose being to I can drive and check out new car mods I install without having to drive all over town looking for them first. I was wondering if there are any car spawner mods that will work with the LATEST GTA4 patch.

Also I noticed that most of the text on this site is not English. I was wondering if there is any way to make the forum text and many of the other sections of text on this site to display in English so English speakers may be able to actually use the forum and links without being left in the dark. There is a English icon at the top of the left pane on the main page, but it does nothing when clicked. Thanks!

Astra
09.01.2011, 12:06
Welcome! :)

I have GTA installed through Steam, along side Episodes from Liberty City (Which contains both LATD, and TBOGT expansion packs). Because the game is installed through Steam, it is always auto updated with the latest patch. Therefore my game has the latest patch installed that is available. I'm looking for a car spawn mod that will allow me to spawn any car from inside the game that will work with the LATEST PATCH. The main purpose being to I can drive and check out new car mods I install without having to drive all over town looking for them first. I was wondering if there are any car spawner mods that will work with the LATEST GTA4 patch.

I don't know if it's possible to modify the Steam-Version of GTA IV at all because you somehow need to make the installation modable.

Does the Steam-Version still requires Games for Windows Live?

A highly recommended trainer, with inbuilt Car-Spawner-Function is the "Simple Native Trainer". You can download it by clicking here (http://www.gtagaming.com/downloads/gta-iv/script-mods/2115).

Also I noticed that most of the text on this site is not English. I was wondering if there is any way to make the forum text and many of the other sections of text on this site to display in English so English speakers may be able to actually use the forum and links without being left in the dark. There is a English icon at the top of the left pane on the main page, but it does nothing when clicked. Thanks!

Sorry, we are a German website and have a German Forum. So the vast majority of the posts is written in German. You could at least use the Google-Translator or anything like that to translate the German threads...

[XGF]der_Graf1997
09.01.2011, 12:25
Also I noticed that most of the text on this site is not English. I was wondering if there is any way to make the forum text and many of the other sections of text on this site to display in English so English speakers may be able to actually use the forum and links without being left in the dark. There is a English icon at the top of the left pane on the main page, but it does nothing when clicked. Thanks!

First of all: Welcome to our forum. I'm sorry that I cannot help you with the problem you have, but I will show you how to change the Interface of the forum to english. Just follow these simple steps:
1. Click on "Kontrollzentrum"
2. Click on "Einstellungen ändern"
3. Scroll down to the end of the Page and select "English (US)" at the last field.

Screenshots in attachement.
PS: Sorry for my bad english sometimes, I'm german.

So long, der Graf:)

Astra
09.01.2011, 12:28
der_Graf1997;562938']Interface

Well, but the interface won't change the posts to English...

gymway
09.01.2011, 22:13
Welcome! :)

I don't know if it's possible to modify the Steam-Version of GTA IV at all because you somehow need to make the installation modable.

Does the Steam-Version still requires Games for Windows Live?

A highly recommended trainer, with inbuilt Car-Spawner-Function is the "Simple Native Trainer". You can download it by clicking here (http://www.gtagaming.com/downloads/gta-iv/script-mods/2115).



Yes, it uses windows live. I can still get into the main GTA directory and install car mods using Sparks and edit the neccessary handling/carcol/vehicle files. They are just located in the main game directory buried within the steamapps directory.


Sorry, we are a German website and have a German Forum. So the vast majority of the posts is written in German. You could at least use the Google-Translator or anything like that to translate the German threads...

Fair enough. Thanks for the quick responses.

//

"GTAIV and EFLC: trainer.asi, trainer.ini, scripthook.dll into the GTAIV main directory (c:\program files\rockstar games\grand theft auto IV on X86 windows versions, or c:\program files (x86)\rockstar games\grand theft auto IV on X64 windows). AND trainertlad.asi, trainertlad.ini, trainertbogt.asi, trainertbogt.ini, scripthook.dll in the EFLC main directory (c:\program files\rockstar games\EFLC on X86 windows versions, or c:\program files (x86)\rockstar games\EFLC on X64 windows). Of course if IV is lower than patch 6, use the scripthook.dll – OLD Patches and rename to scripthook.dll"

I've copied the required files into the GTA directory as instructed above. Further down the page it states the following..

"You will need EITHER Alexander Blade's ASI loader (dsound.dll), or Listener's xliveless (xlive.dll) or Yaasil (dsound.dll) in order to run this. The ASI loader also needs to be copied into the GTAIV main directory. Be aware that you need to copy the ASI loader also to EFLC if you happen to have that version."

Is there a version of any of these 3 files that will work with the latest patch?

Astra
09.01.2011, 22:15
"You will need EITHER Alexander Blade's ASI loader (dsound.dll), or Listener's xliveless (xlive.dll) or Yaasil (dsound.dll) in order to run this. The ASI loader also needs to be copied into the GTAIV main directory. Be aware that you need to copy the ASI loader also to EFLC if you happen to have that version."

Is there a version of any of these 3 files that will work with the latest patch?

I'm using XLive Less (http://www.gtaforums.com/index.php?showtopic=388658) and it works fine. ;)

gymway
09.01.2011, 22:21
I'm using XLive Less (http://www.gtaforums.com/index.php?showtopic=388658) and it works fine. ;)

As of current, I have:

trainer.asi, trainer.ini, scripthook.dll into the GTAIV main directory AND trainertlad.asi, trainertlad.ini, trainertbogt.asi, trainertbogt.ini, scripthook.dll in the EFLC main directory.

I also added the XLive.dll file into both directories as well.

What keys are used to spawn cars? I see from the trainer.ini how they are setup, but I don't see the actual key combination used in game to spawn them.

gymway
09.01.2011, 22:50
As of current, I have:

trainer.asi, trainer.ini, scripthook.dll into the GTAIV main directory AND trainertlad.asi, trainertlad.ini, trainertbogt.asi, trainertbogt.ini, scripthook.dll in the EFLC main directory.

I also added the XLive.dll file into both directories as well.

What keys are used to spawn cars? I see from the trainer.ini how they are setup, but I don't see the actual key combination used in game to spawn them.

I think I have it.. I hit left CTRL to get the menu, then navigated to the car spawn section..